Bug 1415011 - Scrolling through Subscriptions yields inconsistent results
Summary: Scrolling through Subscriptions yields inconsistent results
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscription Management
Version: 6.2.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-20 00:10 UTC by Chuck Mattern
Modified: 2019-08-12 16:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 18:01:17 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Chuck Mattern 2017-01-20 00:10:27 UTC
Description of problem: searches which yield results greater than the "Entries per page" value from the Administer->Settings->General page will populate in the result order which may not match the lexical sort order of the locale. When the user scrolls to the next page the search continues to populate and the additional results are display in lexical sort order, results which would have been shown higher on the list are populated in their correct position which can result in them being printed on a previosu screen. The result is that in order to see a valid listing a user may have to proceed to the end of the reuslts then page back to the first screen and then forward through all of the pages to see full list of the results.


Version-Release number of selected component (if applicable): 6.2.6 and earlier


How reproducible: Consistently


Steps to Reproduce:
1. Administer->Settings->General, set “Entries per page” to 20 (for example)
2. List Subs with Content->Red Hat Subscriptions, note first entry
3. Scroll to end of list, allowing screen to udate
4. Return to top of list, note that first entry is no longer the same and would have been missed had user not scrolled back to the top.

Actual results: Displayed results change order during display sequence 

Expected results: Searches should produce results in the same order regardless of page size



Additional info: A workaround for this is setting the "Entries per page" number higher than any value that can be, or is likely to be, returned. This may also occur in other searches. Please see Google Doc at https://docs.google.com/a/redhat.com/document/d/1vF-YHu0-su1VEcTAGrNXoeAOrm-DsMy9GZD6orxBwAs/edit?usp=sharing for visual examples.

Comment 3 Bryan Kearney 2018-09-04 18:01:17 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.